AddCSLuaFile()
AddCSLuaFile("taxisystem/config_taxisystem.lua")
AddCSLuaFile("taxisystem/cl_taxisystem.lua")

timer.Simple(0, function()
	DarkRP.declareChatCommand{
		command = "taxiprice",
		description = "Set the price of your taxi.",
		delay = 1
	}
end)

mg_taxisystem = mg_taxisystem or {}
mg_taxisystem.config = mg_taxisystem.config or {}
mg_taxisystem.data = mg_taxisystem.data or {}
mg_taxisystem.taxis = mg_taxisystem.taxis or {}
mg_taxisystem.prices = mg_taxisystem.prices or {}

if SERVER then
	include("taxisystem/config_taxisystem.lua")
	include("taxisystem/sv_taxisystem.lua")
	print("[MG Taxisystem] Serverside loaded.")
elseif CLIENT then
	include("taxisystem/config_taxisystem.lua")
	include("taxisystem/cl_taxisystem.lua")
	print("[MG Taxisystem] Clientside loaded.")
end